PLOTCHANGELOG(1)

NOM
plotchangelog - Représenter les modifications Debian sous forme de graphique

SYNOPSIS
plotchangelog [options] changelog ...

DESCRIPTION
plotchangelog est un outil qui aide à visualiser les informations d'un fichier changelog. Ces informations sont affichées graphiquement avec gnuplot(1), avec sur l'axe des abscisses la date des versions, et sur l'axe des ordonnées le numéro de version Debian d'un paquet. Chaque version individuelle d'un paquet est représentée par un point, dont la couleur indique qui a fourni cette version. Le numéro de version amont peut également être affiché sur le graphique.

L'axe des ordonnées peut également être configuré de manière à indiquer la taille de l'entrée du fichier changelog pour chaque nouvelle version. Il peut aussi être configuré de manière à indiquer approximativement combien de bogues ont été corrigés par chaque nouvelle version.

Remarquez que s'il s'agit d'un paquet spécifique à Debian, l'axe des Y utilisera les versions du paquet. Cela ne fonctionne pas toujours très bien.

LECTURE DU GRAPHIQUE
La silhouette du graphique d'un paquet est en règle générale une série de pics, démarrant à 1, allant jusqu'à n, et retournant à 1 juste après. Plus un pic est important, plus le responsable a fourni de versions du paquet pour une version amont. Pour un paquet uniquement pour Debian, son graphique sera croissant sans jamais redescendre (même si un bogue du programme peut, à cause d'une mauvaise interprétation, le faire redescendre, si la version passe par exemple de 0.9 à 0.10).

Si le graphique plonge à une valeur inférieure à 1, cela signifie que quelqu'un a fait une NMU pour le paquet en même temps qu'une mise à jour vers une nouvelle version amont, ce qui place la version Debian à 0. En règle générale, les NMU apparaissent comme des nombres à virgule : 1.1, 2.1, etc. Une NMU peut également être facilement détectée en regardant sur les points quel responsable a envoyé le paquet : un point isolé d'un type différent des points précédents et suivants est souvent le signe d'une NMU.

Il est également facile de trouver quand un paquet a changé de responsable en jetant un coup d'oeil aux points.

OPTIONS

-l, --linecount
    Au lieu d'utiliser le numéro de version Debian pour l'axe des ordonnées, utilise le nombre de lignes de l'entrée du fichier changelog pour chaque version. Cette option ne peut pas être utilisée en même temps que --bugcount.

-b, --bugcount
    Au lieu d'utiliser le numéro de version Debian pour l'axe des ordonnées, utilise le nombre de bogues fermés par chaque entrée du fichier changelog. Remarquez que ce nombre de bogues est trouvé en recherchant "#dddd" dans le fichier changelog, et peut donc être imprécis. Cette option ne peut pas être utilisée avec --linecount.

-c, --cumulative
    Lorsqu'elle est utilisée avec les options --bugcount ou --linecount, effectue un décompte incrémental plutôt qu'un décompte individuel pour chaque entrée du fichier changelog.

-v, --no-version
    N'affiche pas les versions amont, ce qui est utile lorsque le graphique est trop chargé.

-m, --no-maint
    Ne fait pas de différence entre les différents responsables du paquet.

-s fichier, --save=fichier
    Sauver le graphe dans le fichier au format PostScript, au lieu de l'afficher immédiatement.

-u, --urgency
    Utilise des points plus gros pour les versions ayant un niveau d'urgence plus important.

--verbose
    Affiche le script qui est fourni à gnuplot (pour le débogage).

-gcommandes, --gnuplot=commandes
    Ces options vous permettent d'insérer des commandes gnuplot(1) dans le script gnuplot utilisé pour créer le graphique. Les commandes sont placées après l'initialisation, mais avant la commande plot finale. Elles peuvent être utilisées pour remplacer l'apparence par défaut fournie par ce programme de façon arbitraire. Vous pouvez également utiliser quelque chose comme "set terminal png color" pour modifier le type du fichier de sortie, ce qui peut être utile avec l'option -s.

--help
    Affiche un résumé d'aide.

--version
    Affiche la version, le nom de l'auteur et le copyright.

--noconf, --no-conf
    Ne lit aucun fichier de configuration (voir ci-dessous).

changelog ...
    Le fichier changelog dont on veut le graphique. Si plusieurs fichiers sont indiqués, ils seront tous affichés sur le même graphique. Les fichiers peuvent être compressés avec gzip. Tout texte n'étant pas dans le format des fichiers changelog de Debian sera ignoré.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre par un interpréteur de commandes ("shell") pour placer les variables de configuration. Des options de ligne de commande peuvent être utilisées pour neutraliser les paramètres des fichiers de configuration. Les paramètres des variables d'environnement sont ignorés à cette fin. Si la première option donnée en ligne de commande est --no-conf, alors ces fichiers ne sont pas évalués. Les variables actuellement identifiées sont :

PLOTCHANGELOG_OPTIONS
    Liste d'options à toujours utiliser. Les options sont séparées par des espaces. Par exemple, -l -b. N'incluez pas les options -g ou --gnuplot dans cette liste, elles seraient ignorées ; voyez plutôt l'option suivante.

PLOTCHANGELOG_GNUPLOT
    Ce sont les commandes gnuplot qui sont utilisées avant toute commande gnuplot fournie en ligne de commande.

VOIR AUSSI
devscripts.conf(5)

AUTEUR
Joey Hess <joey@kitenet.net>

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.